This project shows how you can save data from your project to a text file that the user can save to their PC.  

To see it in action, just click the SAVE button and a file will be downloaded from your browser with the file name specified in the input field to the left of the SAVE button.

To add this functionality to your project, the key steps are:
* click < > on the Designer menu bar to open the 'gist' editor
* add a line to the import section that contains the following:

```<link rel="import" custom="" href="../ti-core-assets/ti-core-assets.html">```
* save the file by clicking on the 'diskette' icon in the Designer Toolbar

* Create a new JavaScript file for your project
   * File / New / JavaScript File

* Uncomment the 'boilerplate code' by removing the /\* from line 94 and */ from the end of the file

* add a saveText function

```
var saveText = function(fname, text, mime) {
    var blob = new Blob([text], {
        type: mime
    });
    saveAs(blob, fname);
    return false;
}
```

* call the saveText function from your project when needed (e.g. in the click event handler for a button)




To see what this looks like for this project, you can view the project's javascript file by clicking on the Folder icon in the Designer's toolbar (far left) and selecting newfile_0.js from the project's files.

To see this README.md file again, select Help / View README.md from the project's Menu.